<?php


error_reporting(E_ALL);
ini_set('display_errors', 1);
 date_default_timezone_set('America/Costa_Rica');  
	   include('../conexion.php'); 
       $parametros_FE = "SELECT * FROM wc_parametros_fe ";
       $result_parametros_FE = $mysqli->query($parametros_FE);
       $row__FE = $result_parametros_FE->fetch_array();
	   
     
	  $base_url =  $row__FE["UriLocalhost"];
	  $ahora  = strtotime(date('Y-m-d H:i:s'));
	  
	  
	 
	
	 
	 $consultaDatoswc_token = "SELECT * FROM  wc_token WHERE id = 1";
	 $resultadoDatoswc_token = $mysqli->query($consultaDatoswc_token);
 	 $resultadoToken = $resultadoDatoswc_token->fetch_array();


	$ahora  = strtotime(date('Y-m-d H:i:s'));
	$bdHoraCierresession = $resultadoToken['refresh_session_limit'];
	$bdHoraToken         = $resultadoToken['refresh_token_limit'];
	

	$ambito = 120; //120 son 2 minutos
	$finsesion = $bdHoraCierresession - $ambito;
	$fintoken  = $bdHoraToken         - $ambito;


		

$conexion = @fsockopen('www.google.com', 80, $errno, $errstr, 30);	
	if (!$conexion) {   // no tenemos internet
	
	$fp = fopen('datos.log', 'a+');
fputs($fp,"\r\n".'SIN INTERNET '.date('Y:m:d h:i:s a'));
fgets($fp);

		$consulta2 = 'UPDATE wc_token SET estado_movimientos = 1 WHERE id = 1;';
		$mysqli->query($consulta2);
	
    } else {
	
	
	if($ahora > $finsesion){
	
		$fp = fopen('datos.log', 'a+');
fputs($fp,"\r\n".'No ejecuto el cron de refresh ni movimientos porque la hora actual es mayor a la hora de session '.date('Y:m:d h:i:s a'));
fgets($fp); 

		$consulta2 = 'UPDATE wc_token SET estado_movimientos = 1 WHERE id = 1;';
		$mysqli->query($consulta2);

	} else {          
	                  
	

	if($ahora > $fintoken){
	
			$fp = fopen('datos.log', 'a+');
fputs($fp,"\r\n".'No ejecuto el cron de  movimientos porque la hora actual es mayor a la hora del TOKEN '.date('Y:m:d h:i:s a'));
fgets($fp); 

		$consulta2 = 'UPDATE wc_token SET estado_movimientos = 1 WHERE id = 1;';
		$mysqli->query($consulta2);
		
		
	} else {
	

	if($resultadoToken['estado'] == 1 && $resultadoToken['estado_refresh'] == 1   &&  $resultadoToken['estado_movimientos'] == 1  ){
	
	
	$consulta2 = 'UPDATE wc_token SET estado_movimientos = 0 WHERE id = 1;';
	$mysqli->query($consulta2);
	


 //////////////////////////////////  CORROBORA QUE EL CERTIFICADO NO ESTE VENCIDO //////////////////////////////////////
	  
	  
	  $certificado  =  $row__FE["certificado"];
	  $pass         =  $row__FE["claveCertificado"];
      $fname        =  "../FE/".substr($certificado, 3, 19);


$f = fopen($fname, "r"); 
$cert = fread($f, filesize($fname)); 
fclose($f); 
        
$certdata = array();


openssl_pkcs12_read($cert, $certdata, $pass);
$certdata= openssl_x509_parse($certdata['cert'],0);
$valid_from =  date(DATE_RFC2822,$certdata['validFrom_time_t']); 
$valid_to = date(DATE_RFC2822,$certdata['validTo_time_t']); 


$fecha_segundos = $certdata['validTo_time_t']; 
 $emitida  =    substr($valid_from , 5, 11);
 $vencida  =    substr($valid_to , 5, 11);


  $hoy=date("Y-m-d");
  $segundos  =  $fecha_segundos - $segundos=strtotime($hoy)  ;


if  ($segundos >  86400 ){  
	  


    file_get_contents("$base_url/Comprobantes_fac/enviar_hacienda_masivo.php?base_url=$base_url");
	file_get_contents("$base_url/Comprobantes_fac/consultar_estado_masivo.php?base_url=$base_url");
	file_get_contents("$base_url/Comprobantes_fac/enviar_correo_masivo.php?base_url=$base_url");
	
	file_get_contents("$base_url/Comprobantes_nc/enviar_hacienda_masivo.php?base_url=$base_url");
	file_get_contents("$base_url/Comprobantes_nc/consultar_estado_masivo.php?base_url=$base_url");
	file_get_contents("$base_url/Comprobantes_nc/enviar_correo_masivo.php?base_url=$base_url");

	file_get_contents("$base_url/Comprobantes_nd/enviar_hacienda_masivo.php?base_url=$base_url");
	file_get_contents("$base_url/Comprobantes_nd/consultar_estado_masivo.php?base_url=$base_url");
	file_get_contents("$base_url/Comprobantes_nd/enviar_correo_masivo.php?base_url=$base_url");
	
	file_get_contents("$base_url/Comprobantes_frs/enviar_hacienda_masivo.php?base_url=$base_url");
	file_get_contents("$base_url/Comprobantes_frs/consultar_estado_masivo.php?base_url=$base_url");
	
	file_get_contents("$base_url/Comprobantes_mensajes/enviar_hacienda_masivo.php?base_url=$base_url");
	file_get_contents("$base_url/Comprobantes_mensajes/consultar_estado_masivo.php?base_url=$base_url");
	
	
	
	}
	
	

 $fp = fopen('datos.log', 'a+');
fputs($fp,"\r\n".'Ejecutó el cron  movimientos comprobantes '.date('Y:m:d h:i:s a'));
fgets($fp);


     } else {
	
	$fp = fopen('datos.log', 'a+');
fputs($fp,"\r\n".'No ejecuto el cron porque o la session esta inactiva o el token bloqueado '.date('Y:m:d h:i:s a'));
fgets($fp); 
	 
	 	
	 
	}  

}
} 
} 

